curl --request POST \
--url 'https://api.workstream.stateset.com/v1/onboarding/{brand_id}/test' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"gorgias": {
"subdomain": "string",
"email": "ada.lovelace@example.com",
"api_key": "YOUR_API_KEY",
"webhook_secret": "YOUR_API_KEY"
},
"shopify": {
"domain": "string",
"access_token": "YOUR_API_KEY",
"webhook_secret": "YOUR_API_KEY"
},
"recharge": {
"api_token": "YOUR_API_KEY",
"webhook_secret": "YOUR_API_KEY"
},
"activate": true
}'
{
"gorgias": {
"healthy": true,
"error": "string",
"latency_ms": 250
},
"shopify": {
"healthy": true,
"error": "string",
"latency_ms": 250
},
"recharge": {
"healthy": true,
"error": "string",
"latency_ms": 250
}
}
Onboarding
Per-connector read-only probe results; nothing is stored. One key per credential supplied in the request — connectors not supplied are omitted.
POST
/
v1
/
onboarding
/
{brand_id}
/
test
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/onboarding/{brand_id}/test' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"gorgias": {
"subdomain": "string",
"email": "ada.lovelace@example.com",
"api_key": "YOUR_API_KEY",
"webhook_secret": "YOUR_API_KEY"
},
"shopify": {
"domain": "string",
"access_token": "YOUR_API_KEY",
"webhook_secret": "YOUR_API_KEY"
},
"recharge": {
"api_token": "YOUR_API_KEY",
"webhook_secret": "YOUR_API_KEY"
},
"activate": true
}'
{
"gorgias": {
"healthy": true,
"error": "string",
"latency_ms": 250
},
"shopify": {
"healthy": true,
"error": "string",
"latency_ms": 250
},
"recharge": {
"healthy": true,
"error": "string",
"latency_ms": 250
}
}
Path parameters
string (uuid)
required
Request body
object
object
object
object
boolean
Also activate the brand once connectors are stored (connect only)
Response
object
object
object
object
Status codes
| Code | Meaning |
|---|---|
200 | Per-connector read-only probe results; nothing is stored. One key per credential supplied in the request — connectors not supplied are omitted. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/onboarding/{brand_id}/test' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"gorgias": {
"subdomain": "string",
"email": "ada.lovelace@example.com",
"api_key": "YOUR_API_KEY",
"webhook_secret": "YOUR_API_KEY"
},
"shopify": {
"domain": "string",
"access_token": "YOUR_API_KEY",
"webhook_secret": "YOUR_API_KEY"
},
"recharge": {
"api_token": "YOUR_API_KEY",
"webhook_secret": "YOUR_API_KEY"
},
"activate": true
}'
{
"gorgias": {
"healthy": true,
"error": "string",
"latency_ms": 250
},
"shopify": {
"healthy": true,
"error": "string",
"latency_ms": 250
},
"recharge": {
"healthy": true,
"error": "string",
"latency_ms": 250
}
}
Last modified on August 31, 2026